Subject: [Sip] RE: I-D ACTION:draft-barnes-sip-em-ps-req-sol-00.txt

From: "Elwell, John" <[email-masked]>
Date: Fri, 09 Feb 2007 09:28:26 +0000

Richard, Matt,

Thanks for producing this draft. I am not sure whether we will be able to
find an acceptable solution, but I think it is worth having the discussion.
A few comments:

1. I have heard the term "early arriving media" used in the context of
discussions on the RTPSEC list. It might be useful to adopt this term for
the purposes of your paper.

2. Another problematic case concerns serial forking. A proxy is scripted to
forward a request to B and then, if B does not answer within a certain time,
cancel the request to B and forward the request to C. If B is sending early
media and does not respond promptly to the CANCEL request, early media from
B could interfere with more relevant early media from C. I realise that it
is outside the scope of your proposal to cover this, but it is worth
mentioning.

3. I seem to recall coming across B2BUAs that send ACK without waiting for
the arrival of the ACK from the real UAC. I guess we can't legislate for
such behaviour.

4. If RFC 3398 will need updating, it is likely that RFC 4497 will need
updating too.

5. I can't find draft-stucker-sipping-early-media-indirection in the
archives - the date of Oct 2006 suggests that it should not have expired
yet.

6. The text in 3.1.4 first paragraph seems misleading. RFC 3960 does not use
separate INVITE transactions. It merely uses separate offer-answer exchanges
with different content-dispositions.

7. In section 3.1.5.1, I don't think it correctly captures the existing
constraints on sending SDP offers in parallel with an INVITE transaction. An
SDP offer is allowed in an UPDATE request already, but only if the existing
SDP offer-answer exchange (started in the INVITE request or the first
reliable 1xx response) has completed. However, I am not sure how this rule
would apply if the content-disposition were different from the normal.

8. In section 3.2.1, there may be situations where media sent by the
answerer cannot get through a NAT/firewall until media has been received
from the offerer. Of course, ICE would sort this out, but without ICE I
don't think this is a reliable solution.

John

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: 08 February 2007 23:50
> To: [email-masked]
> Subject: I-D ACTION:draft-barnes-sip-em-ps-req-sol-00.txt
> 
> A New Internet-Draft is available from the on-line Internet-Drafts 
> directories.
> 
> 
> 	Title		: Early Media in SIP: Problem 
> Statement, Requirements, and Analysis of Solutions
> 	Author(s)	: R. Barnes, M. Lepinski
> 	Filename	: draft-barnes-sip-em-ps-req-sol-00.txt
> 	Pages		: 14
> 	Date		: 2007-2-8
> 	
> 
>    The Session Initiation Protocol (SIP) enables and permits endpoints
>    in an INVITE transaction to send media packets before an SDP offer/
>    answer exchange has completed; we refer to such media packets as
>    early media.  The use of early media is common in current SIP
>    implementations, and causes several problems, which have been
>    documented elsewhere.  This document puts forward the goal of
>    modifying SIP so that compliant implementations will 
> complete an SDP
>    exchange before sending media, and lays out high-level requirements
>    for such a solution.  The set of possible solutions is 
> then laid out,
>    and each possibility examined in light of these requirements.
> 
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-barnes-sip-em-ps-req
> -sol-00.txt
> 
> To remove yourself from the I-D Announcement list, send a message to 
> [email-masked] with the word unsubscribe in 
> the body of 
> the message. 
> You can also visit 
> https://www1.ietf.org/mailman/listinfo/I-D-announce 
> to change your subscription settings.
> 
> Internet-Drafts are also available by anonymous FTP. Login with the 
> username "anonymous" and a password of your e-mail address. After 
> logging in, type "cd internet-drafts" and then 
> "get draft-barnes-sip-em-ps-req-sol-00.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html 
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE /internet-drafts/draft-barnes-sip-em-ps-req-sol-00.txt".
> 	
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant 
> mail readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
> 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip